unit StaticU2;

interface

type
  TStatic = class(TObject)
  public
    AnObjectField: Integer;
    class function GetAClassField: Integer;
    class procedure SetAClassField(Value: Integer);

    procedure AnObjectMethod;
    class procedure AClassMethod;
  end;

  TStaticClass = class of TStatic;

implementation

uses
  Dialogs;

const
  StaticField: Integer = 0;

class function TStatic.GetAClassField: Integer;
begin
  Result := StaticField
end;

class procedure TStatic.SetAClassField(Value: Integer);
begin
  StaticField := Value
end;

class procedure TStatic.AClassMethod;
begin
  ShowMessage('This is a class method')
end;

procedure TStatic.AnObjectMethod;
begin
  ShowMessage('This is an object method')
end;

end.
