unit StaticU;

interface

uses
  WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, StaticU2;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
  private
    Static: TStatic;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Static := TStatic.Create
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Static.Free
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Static.AnObjectMethod
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Static.AClassMethod
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  TStatic.AClassMethod
end;

procedure TForm1.Button4Click(Sender: TObject);
var
  StaticClass: TStaticClass;
begin
  StaticClass := TStatic;
  StaticClass.AClassMethod
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  ShowMessage('Object field was ' + IntToStr(Static.AnObjectField));
  Inc(Static.AnObjectField, 20);
  ShowMessage('Object field now is ' + IntToStr(Static.AnObjectField));
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  ShowMessage('Class field was ' + IntToStr(Static.GetAClassField));
  Static.SetAClassField(Static.GetAClassField + 20);
  ShowMessage('Class field now is ' + IntToStr(Static.GetAClassField));
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  ShowMessage('Class field was ' + IntToStr(TStatic.GetAClassField));
  TStatic.SetAClassField(TStatic.GetAClassField + 20);
  ShowMessage('Class field now is ' + IntToStr(TStatic.GetAClassField));
end;

procedure TForm1.Button8Click(Sender: TObject);
var
  StaticClass: TStaticClass;
begin
  StaticClass := TStatic;
  ShowMessage('Class field was ' + IntToStr(StaticClass.GetAClassField));
  StaticClass.SetAClassField(StaticClass.GetAClassField + 20);
  ShowMessage('Class field now is ' + IntToStr(StaticClass.GetAClassField));
end;

end.
